Ocena wątku:
  • 0 głosów - średnia: 0
  • 1
  • 2
  • 3
  • 4
  • 5
Rozwiązane Brak sterownika Samsung ML-1670
#1
Photo 
0
Witam,pozdrawiam

Kod:
Host: grzegorz-G31M-ES2L Kernel: 5.4.0-77-generic x86_64 bits: 64
compiler: gcc v: 9.3.0 Desktop: Cinnamon 5.0.4 Distro: Linux Mint 20.2 Uma
base: Ubuntu 20.04 focal

Problem z drukarką ,a raczej sterownikiem do Samsung ML-1670. Używałam poprzednio Linux Mint 18.2 Sonya,Mate 1.18 kernel; 4.15.0 -46-generic x86_64 bit, i nie miałam problemu z instalacją drukarki.
Przeinstalowałam CUPS do wersji 2.3.3 ,zakładam że zainstalowałam wszystkie sterowniki z poziomu terminala i nie działa.
Cały czas drukarka informuje:
Kod:
Internal Error-please use the proper driver.

Kod:
[email protected]:~$ /home/grzegorz/Pobrane/cups-2.3.3/install-sh

install-sh: No input file specified

drugi komunikat

Kod:
[email protected]:~$ sudo apt-get install rastertosplc
[sudo] hasło użytkownika grzegorz:         
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności     
Odczyt informacji o stanie... Gotowe
E: Nie udało się odnaleźć pakietu rastertosplc


Plik rastertosplc jest w katalogu CUPS-2.3.3 ale nie można go zainstalować.

Pozdrawiam
Bożena        
#2
1
Better response on post RE: Brak sterownika Samsung ML-1670Spróbuj wykonać:
Kod:
sudo ln -s /opt/smfp-common/printer/bin/rastertospl rastertosplc

za: https://askubuntu.com/questions/354461/h...ng-ml-1670
#3
0
(14-07-2021, 20:31)yahoob3 napisał(a): Spróbuj wykonać:
Kod:
sudo ln -s /opt/smfp-common/printer/bin/rastertospl rastertosplc

za: https://askubuntu.com/questions/354461/h...ng-ml-1670

Kod:
[email protected]:~$ sudo ln -s /opt/smfp-common/printer/bin/rastertospl rastertosplc
[sudo] hasło użytkownika grzegorz:         
[email protected]:~$
[email protected]:~$ sudo apt-get install printer-driver-splix
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności     
Odczyt informacji o stanie... Gotowe
printer-driver-splix is already the newest version (2.0.0+svn315-7fakesync1build1).
0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
[email protected]:~$
Nic nie zmieniło się. Kominikat: Interial error-please use the proper driver.

Dodano po pewnym czasie:
Komunikat po wydrukowanie strony restowej.
Intanał error-please use the  prober driver.
W załacznikach dodałam plik który potrzebuję zainstalować i zrzut ekranu z właciwości pliku/katalogu.
[quote pid="12877" dateline="1626342320"]

Kod:
[email protected]:~$ sudo ln -s /opt/smfp-common/printer/bin/rastertospl rastertosplc  
ln: nie udało się utworzyć dowiązania symbolicznego 'rastertosplc': Plik istnieje


Załączone pliki Miniatury
           
#4
0
To nie plik załączyłaś, a dowiązanie do niego (coś jak skrót).

Spróbuj pobrać i zainstalować dwuklikiem ten plik: https://www.openprinting.org/download/pr..._amd64.deb


[Obrazek: a1rt4no.png]

Być może tym razem uda się.

Obrazki wklejaj na forum używając przycisku IMGUR, wyniki z terminala wklejaj używając znaczników CODE.
#5
0
Nie zainstalowałam z terminala
[Obrazek: cv9mw2cl.png]

Kod:
sudo apt-get install-f

Kod:
[email protected]:~$ sudo apt install splix
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności      
Odczyt informacji o stanie... Gotowe
splix is already the newest version (1.0.1-3lsb3.1).
Należy uruchomić "apt --fix-broken install", aby je naprawić.
Następujące pakiety mają niespełnione zależności:
printer-driver-splix : Narusza zależności: splix (< 2.0.0+svn299-1) ale 1.0.1-3lsb3.1 ma zostać zainstalowany
E: Niespełnione zależności. Proszę spróbować wykonać "apt --fix-broken install" bez pakietów (lub podać rozwiązanie).
[email protected]:~$ "apt --fix-broken install"
apt --fix-broken install: nie znaleziono polecenia

Dodano po pewnym czasie:
[Obrazek: g2zhc8hl.png]


Załączone pliki Miniatury
   
#6
0
Rozumiem, że po wystąpieniu błędu:
Kod:
Preparing to unpack .../splix_1.0.1-3lsb3.1_amd64.deb ...
Unpacking splix (1.0.1-3lsb3.1) ...
dpkg: dependency problems prevent configuration of splix:
printer-driver-splix (2.0.0+svn315-7fakesync1build1) breaks splix (<< 2.0.0+svn299-1) and is installed.
  Version of splix to be configured is 1.0.1-3lsb3.1.

dpkg: error processing package splix (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
splix

Wykonałaś w terminalu sudo apt install -f - czyli prowidłowo. Czy po restarcie nadal jest problem z tą drukarką?
Warto sprawdzić, czy po usunięciu i dodaniu jej ponownie przez applet drukarki nie zadziała jak trzeba.
#7
0
(15-07-2021, 13:09)yahoob3 napisał(a): Rozumiem, że po wystąpieniu błędu:
Kod:
Preparing to unpack .../splix_1.0.1-3lsb3.1_amd64.deb ...
Unpacking splix (1.0.1-3lsb3.1) ...
dpkg: dependency problems prevent configuration of splix:
printer-driver-splix (2.0.0+svn315-7fakesync1build1) breaks splix (<< 2.0.0+svn299-1) and is installed.
  Version of splix to be configured is 1.0.1-3lsb3.1.

dpkg: error processing package splix (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
splix

Wykonałaś w terminalu sudo apt install -f - czyli prowidłowo. Czy po restarcie nadal jest problem z tą drukarką?
Warto sprawdzić, czy po usunięciu i dodaniu jej ponownie przez applet drukarki nie zadziała jak trzeba.
Odinstalowałam i zainstalowałam ponownie,tak samo w CUPS-ie.Nadal jest komunikat 'internal error" Brak sterownika.Ale martwi mnie brak,niemożliwość zainstalowania pokietu "splix" , uszkodzona pamięc wewnętrzna.

Dodano po pewnym czasie:
[Obrazek: zoN9fBjl.png]

Dodano po pewnym czasie:
[Obrazek: FiVcEvjl.png][Obrazek: XQj2Q5zl.png][Obrazek: UFPDlS0l.png][Obrazek: zt2dILNl.png]

Dodano po pewnym czasie:
I wszysto na nić , dalej zbłędem:bład wewnętrzy , brak sterownika.

Dodano po pewnym czasie:
Nie ustający błąd druku.[Obrazek: iwnSMXgl.jpg]


Załączone pliki Miniatury
       
#8
1
Better response on post RE: Brak sterownika Samsung ML-1670Poprawna instalacja uszkodzonych pakietów wymaga wykonania w terminalu:
Kod:
sudo apt install --fix-broken

#lub

sudo apt-get install --fix-broken

Spróbuj na razie odinstalować drukarkę. Postaram się odezwać jutro rano. Dziś już nie dam rady.
Spróbujemy krok po kroku. Może się uda. Smile

EDIT:
Rzuć okiem na ten wątek: https://forum.linuxmint.pl/showthread.ph...ht=samsung
#9
0
Kod:
[email protected]:~$ sudo apt install --fix-broken
[sudo] hasło użytkownika grzegorz:         
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności      
Odczyt informacji o stanie... Gotowe
0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
Kod:
[email protected]:~$ sudo apt-get install --fix-broken
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności      
Odczyt informacji o stanie... Gotowe
0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
Ok,przejżałam wątek,z w/w strony,już to przerobiłam,ale dziękuje,pozdrawiam.
#10
1
Better response on post RE: Brak sterownika Samsung ML-1670OK, coś znalazłem. Jest gość, który przepakowuje sterowniki... nieważne Smile
Wg tego zestawienia, do Twojej drukarki powinien pasować ten sterownik: https://www.bchemnet.com/suldr/driver/Un....27.tar.gz

Na razie odinstaluj to, co masz zainstalowane: usuń drukarkę w CUPS a potem, jako root uruchom uninstaller (uninstall.sh), który masz w ściągniętym wcześniej katalogu ULD - ze sterownikiem.

Zrestartuj komputer.

Ściągnij teraz wskazany wyżej przeze mnie sterownik 1.00.27, rozpakuj i zainstaluj w sposób, jaki opisałem w przytaczanym wcześniej wątku (https://forum.linuxmint.pl/showthread.ph...90#pid5990).
Ale!... zainstaluj tylko sterownik drukarki - czyli uruchamiasz tylko install-printer.sh. Instalator powinien poprowadzić za rękę.

Jakby coś odezwę się raczej dopiero w niedzielę.



PS W sumie, możesz też sprawdzić instalację drukarki na systemie w trybie Live... żeby na "czysto" było. Może jakieś śmieci przeszkadzają...


Skocz do:




Użytkownicy przeglądający ten wątek: 3 gości